#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 1.9 
# Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.

# This configure script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This script is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Save the original args to write them into config.status later.
configure_args="$*"

# Only options that might do something get documented.
ac_usage="Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
--build=BUILD		configure for building on BUILD [BUILD=HOST]
--disable-FEATURE	do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG]	include FEATURE [ARG=yes]
--exec-prefix=PREFIX	install host dependent files in PREFIX [/usr/local]
--help			print this message
--host=HOST		configure for HOST [guessed]
--prefix=PREFIX		install host independent files in PREFIX [/usr/local]
--quiet, --silent	do not print \`checking for...' messages
--srcdir=DIR		find the sources in DIR [configure dir or ..]
--target=TARGET		configure for TARGET [TARGET=HOST]
--verbose		print results of checks
--version		print the version of autoconf that created configure
--with-PACKAGE[=ARG]	use PACKAGE [ARG=yes]
--without-PACKAGE	do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR	X include files are in DIR
--x-libraries=DIR	X library files are in DIR"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
exec_prefix=
host=NONE
no_create=
nonopt=NONE
norecursion=
prefix=
program_prefix=
program_suffix=
program_transform_name=
silent=
srcdir=
target=NONE
verbose=
x_includes=
x_libraries=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  # Accept (but ignore some of) the important Cygnus configure
  # options, so we can diagnose typos.

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  case "$ac_option" in

  -build | --build | --buil | --bui | --bu | --b)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
    build="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  # For backward compatibility, recognize -exec-prefix and --exec_prefix.
  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    with_gas=yes ;; # Obsolete; use --with-gas.

  -help | --help | --hel | --he)
    cat << EOF
$ac_usage
EOF
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    with_fp=no ;; # Obsolete; use --without-fp.

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
    norecursion=yes ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 1.9"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x) with_x=yes ;; # Obsolete; use --with-x.

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
    ;;

  *) 
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" >&2
    fi
    if test "x$nonopt" != xNONE; then
      echo "configure: can only configure for one host and one target at a time" >&2; exit 1
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  echo "configure: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
fi

trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
trap 'rm -fr confdefs* $ac_clean_files' 0

# Save the original args if we used an alternate arg parser.
ac_configure_temp="${configure_args-$*}"
# Strip out --no-create and --norecursion so they don't pile up.
configure_args=
for ac_arg in $ac_configure_temp; do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
  *) configure_args="$configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set'; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=tela.C

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then `..'.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test x$ac_srcdir_defaulted = xyes; then
    echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
  else
    echo "configure: can not find sources in ${srcdir}" >&2; exit 1
  fi
fi
ac_ext=c
ac_cpp='${CPP} $CFLAGS'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'



test -n "$silent" || echo "checking for system type"
UNAME_SYSTEM=`(uname -s) 2>/dev/null` ||'unknown'
UNAME_RELEASE=`(uname -r) 2>/dev/null` ||'unknown'
UNAME_MACHINE='(uname -m) 2>/dev/null' || 'unknown'
system='unknown'
case "${UNAME_SYSTEM}:${UNAME_RELEASE}:${UNAME_MACHINE}" in
	SunOS:5.*)
		
{
test -n "$verbose" && \
echo "	defining SUN"
echo "#define" SUN "1" >> confdefs.h
DEFS="$DEFS -DSUN=1"
}
 system='Solaris2';;
	Linux:*)
		
{
test -n "$verbose" && \
echo "	defining LINUX"
echo "#define" LINUX "1" >> confdefs.h
DEFS="$DEFS -DLINUX=1"
}
 
{
test -n "$verbose" && \
echo "	defining SUN386"
echo "#define" SUN386 "1" >> confdefs.h
DEFS="$DEFS -DSUN386=1"
}
 system='Linux' ;;
	HP-UX:*)
		
{
test -n "$verbose" && \
echo "	defining HPUX"
echo "#define" HPUX "1" >> confdefs.h
DEFS="$DEFS -DHPUX=1"
}
 system='HPUX' ;;
	IRIX:5.*)
        
{
test -n "$verbose" && \
echo "	defining IRIS4"
echo "#define" IRIS4 "1" >> confdefs.h
DEFS="$DEFS -DIRIS4=1"
}
 system='Irix5' ;;
    IRIX:4.*)
		
{
test -n "$verbose" && \
echo "	defining IRIS4"
echo "#define" IRIS4 "1" >> confdefs.h
DEFS="$DEFS -DIRIS4=1"
}
 system='Irix4' ;;
	CONVEX:*)
		
{
test -n "$verbose" && \
echo "	defining CONVEX"
echo "#define" CONVEX "1" >> confdefs.h
DEFS="$DEFS -DCONVEX=1"
}
 system='Convex' ;;
	Cray:*)
		
{
test -n "$verbose" && \
echo "	defining UNICOS"
echo "#define" UNICOS "1" >> confdefs.h
DEFS="$DEFS -DUNICOS=1"
}
 system='UNICOS' ;;
	*:*:Cray*)
		
{
test -n "$verbose" && \
echo "	defining UNICOS"
echo "#define" UNICOS "1" >> confdefs.h
DEFS="$DEFS -DUNICOS=1"
}
 system='UNICOS' ;;
	AIX:*)
		
{
test -n "$verbose" && \
echo "	defining _AIX"
echo "#define" _AIX "1" >> confdefs.h
DEFS="$DEFS -D_AIX=1"
}
 
{
test -n "$verbose" && \
echo "	defining IBM6000"
echo "#define" IBM6000 "1" >> confdefs.h
DEFS="$DEFS -DIBM6000=1"
}
 system='AIX' ;;
esac
if test $system = 'unknown'; then
	test -n "$verbose" && echo "	- System type is unknown."
else
	test -n "$verbose" && echo "	System type is ${system}."
fi
echo 'Installation prefix (/usr/local/lib/tela) ?'
read ans
if test ".$ans" = "."; then ans=/usr/local/lib/tela; fi
INSTALLATION_PREFIX=$ans

echo "Architecture-dependent installation prefix ($INSTALLATION_PREFIX) ?"
read ans
if test ".$ans" = "."; then ans=$INSTALLATION_PREFIX; fi
ARCHDEP_INSTALLATION_PREFIX=$ans

if test ".$system" = ".AIX"; then
	CC=xlC
	CXX='xlC -+'
	CFLAGS='-O3 -qstrict -qinlglue -Q -twolink -qarch=com -qtune=pwrx -qlist -qlistopt'
    UNROLL_FLAGS='-qunroll=8'
else

if test -z "$CC"; then
  # Extract the first word of `gcc', so it can be a program name with args.
  set ac_dummy gcc; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      CC="gcc"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
test -n "$CC" && test -n "$verbose" && echo "	setting CC to $CC"

# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  GCC=1 # For later tests.
fi
rm -f conftest*

for ac_prog in $CCC c++ g++ gcc CC
do
if test -z "$CXX"; then
  # Extract the first word of `$ac_prog', so it can be a program name with args.
  set ac_dummy $ac_prog; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      CXX="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi

test -n "$CXX" && test -n "$verbose" && echo "	setting CXX to $CXX"

test -n "$CXX" && break
done
test -n "$CXX" || CXX="gcc"

# Find out if we are using GNU C++, under whatever name.
cat > conftest.C <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CXX-gcc} -E conftest.C > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  GXX=1 # For later tests.
fi
rm -f conftest*

isgcc=false
if test ".$CC" = ".gcc"; then
	case ".$CXX" in
		.c++|.g++|.gcc) isgcc=true;;
		.*) ;;
	esac
fi
if test ".$isgcc" = '.true'; then
	if test -z "$hascc"; then
  # Extract the first word of `cc', so it can be a program name with args.
  set ac_dummy cc; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      hascc="true"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$hascc" && hascc="false"
test -n "$hascc" && test -n "$verbose" && echo "	setting hascc to $hascc"

	if test -z "$hasCC"; then
  # Extract the first word of `CC', so it can be a program name with args.
  set ac_dummy CC; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      hasCC="true"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$hasCC" && hasCC="false"
test -n "$hasCC" && test -n "$verbose" && echo "	setting hasCC to $hasCC"

	if test ".$hascc" = '.true' && test ".$hasCC" = '.true'; then
		echo 'System has gcc/g++ but it also has cc/CC.'
		echo 'Do you still want to compile with GNU (y) ?'
		read ans
		if test ".$ans" = '.n'; then
			CC='cc'
			CXX='CC'
			GCC=0
			isgcc='false'
		fi
	fi
fi
if test ".$isgcc" = '.true'; then
	CFLAGS="-O2 -Wall -Wno-unused -Wuninitialized"
	UNROLL_FLAGS="-funroll-loops"
else
	if test ".$system" = ".HPUX"; then
		CFLAGS="+a1 +O3"
	else
		CFLAGS="-O"
	fi
	UNROLL_FLAGS=""
fi

fi	# end of AIX-if

ac_ext=C
ac_cpp='${CXXCPP} $CXXFLAGS'
ac_compile='${CXX-gcc} $CXXFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'

test -n "$silent" || echo "checking for AIX"
test -n "$silent" || echo "checking how to run the C++ preprocessor"
ac_ext=C
ac_cpp='${CXXCPP} $CXXFLAGS'
ac_compile='${CXX-gcc} $CXXFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
if test -z "$CXXCPP"; then
  CXXCPP="${CXX-c++} -E"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdlib.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CXXCPP=/lib/cpp
fi
rm -f conftest*
fi
test -n "$verbose" && echo "	setting CXXCPP to $CXXCPP"

cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#ifdef _AIX
  yes
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining _ALL_SOURCE"
echo "#define" _ALL_SOURCE "1" >> confdefs.h
DEFS="$DEFS -D_ALL_SOURCE=1"
}


fi
rm -f conftest*


ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lfftpack"
ac_have_lib=""
test -n "$silent" || echo "checking for -lfftpack"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; 
echo 'System seems to have libfftpack.a in a public lib directory.'
echo 'This Tela distribution contains a bundled version, but if you'
echo 'know that the public version is compatible with Tela, you as use it'
echo 'to save compilation time.'
echo 'Do you want to use it (Return; y), or the bundled version (n) ?'
read ans
if test ".$ans" = "."; then
    ans='y'
fi
if test ".$ans" = ".y"; then
	LIBS="$LIBS -lfftpack"
	external_fftpacklib=true
else
    external_fftpacklib=false
fi    

else
   :; 
fi

echo 'The rest of the script runs automatically.'


if test -z "$RANLIB"; then
  # Extract the first word of `ranlib', so it can be a program name with args.
  set ac_dummy ranlib; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      RANLIB="ranlib"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$RANLIB" && RANLIB=":"
test -n "$RANLIB" && test -n "$verbose" && echo "	setting RANLIB to $RANLIB"

# Make sure to not get the incompatible SysV /etc/install and
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
# `staff', or /sbin/install on IRIX which has incompatible command-line
# syntax.  Sigh.
#
#     On most BSDish systems install is in /usr/bin, not /usr/ucb
#     anyway.
# This turns out not to be true, so the mere pathname isn't an indication
# of whether the program works.  What we really need is a set of tests for
# the install program to see if it actually works in all the required ways.
#
# Avoid using ./install, which might have been erroneously created
# by make from ./install.sh.
if test "z${INSTALL}" = "z" ; then
  test -n "$silent" || echo "checking for a BSD compatible install"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    case "$ac_dir" in
    ''|.|/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
    *)
      # OSF1 and SCO ODT 3.0 have their own names for install.
      for ac_prog in installbsd scoinst install; do
        if test -f $ac_dir/$ac_prog; then
	  if test $ac_prog = install &&
            grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
	    # AIX install.  It has an incompatible calling convention.
	    # OSF/1 installbsd also uses dspmsg, but is usable.
	    :
	  else
	    INSTALL="$ac_dir/$ac_prog -c"
	    INSTALL_PROGRAM='${INSTALL}'
	    INSTALL_DATA='${INSTALL} -m 644'
	    break 2
	  fi
	fi
      done
      ;;
    esac
  done
  IFS="$ac_save_ifs"
fi
if test -z "$INSTALL"; then
  if test -f ${srcdir}/install.sh; then
    # As a last resort, use the slow shell script.
    INSTALL='@top_srcdir@/install.sh -c'
  else
    echo "configure: warning: ${srcdir}/install.sh not found; using cp" >&2
    INSTALL=cp
  fi
fi
test -n "$verbose" && echo "	setting INSTALL to $INSTALL"
# Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
# It thinks the first close brace ends the variable substitution.
test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
test -n "$verbose" && echo "	setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL}'
test -n "$verbose" && echo "	setting INSTALL_DATA to $INSTALL_DATA"

if test -z "$true"; then
  # Extract the first word of `true', so it can be a program name with args.
  set ac_dummy true; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      true="true"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$true" && true=":"
test -n "$true" && test -n "$verbose" && echo "	setting true to $true"

if test -z "$FLEXXX"; then
  # Extract the first word of `flex++', so it can be a program name with args.
  set ac_dummy flex++; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      FLEXXX="flex++"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$FLEXXX" && FLEXXX="$true"
test -n "$FLEXXX" && test -n "$verbose" && echo "	setting FLEXXX to $FLEXXX"

if test -z "$BISONXX"; then
  # Extract the first word of `bison++', so it can be a program name with args.
  set ac_dummy bison++; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      BISONXX="bison++"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$BISONXX" && BISONXX="$true"
test -n "$BISONXX" && test -n "$verbose" && echo "	setting BISONXX to $BISONXX"

cat > conftestmake <<'EOF'
all:
	@echo 'ac_maketemp="${MAKE}"'
EOF
# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
if test -n "$ac_maketemp"; then SET_MAKE=
else SET_MAKE="MAKE=${MAKE-make}"; fi

test -n "$silent" || echo "checking for ANSI C header files"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
echo '#include "confdefs.h"
#include <string.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "memchr" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  # SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e,f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
echo '#include "confdefs.h"
#include <stdlib.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "free" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining STDC_HEADERS"
echo "#define" STDC_HEADERS "1" >> confdefs.h
DEFS="$DEFS -DSTDC_HEADERS=1"
}


fi
rm -f conftest*


fi
rm -fr conftest*

fi
rm -f conftest*


fi
rm -f conftest*


ac_ext=c
ac_cpp='${CPP} $CFLAGS'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'

test -n "$silent" || echo "checking for return type of signal handlers"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
extern void (*signal ()) ();
int main() { return 0; }
int t() { int i;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "void"
echo "#define" RETSIGTYPE "void" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=void"
}


else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "int"
echo "#define" RETSIGTYPE "int" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=int"
}

fi
rm -f conftest*


ac_ext=C
ac_cpp='${CXXCPP} $CXXFLAGS'
ac_compile='${CXX-gcc} $CXXFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'

for ac_hdr in alloca.h string.h memory.h dlfcn.h unistd.h dld.h sys/rusage.h sys/procfs.h ieeefp.h time.h
do
ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
test -n "$silent" || echo "checking for ${ac_hdr}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <${ac_hdr}>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining ${ac_tr_hdr}"
echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_hdr}=1"
}


fi
rm -f conftest*
done

test -n "$silent" || echo "checking for macro CLOCKS_PER_SEC in time.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <time.h>
int main() { return 0; }
int t() { CLOCKS_PER_SEC; ; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  test -n "$verbose" && echo "	+ CLOCKS_PER_SEC is defined in time.h"; 
{
test -n "$verbose" && \
echo "	defining HAVE_CLOCKS_PER_SEC"
echo "#define" HAVE_CLOCKS_PER_SEC "1" >> confdefs.h
DEFS="$DEFS -DHAVE_CLOCKS_PER_SEC=1"
}


fi
rm -f conftest*

# The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments.  Useless!
test -n "$silent" || echo "checking for working alloca.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <alloca.h>
int main() { return 0; }
int t() { char *p = alloca(2 * sizeof(int));; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_ALLOCA_H"
echo "#define" HAVE_ALLOCA_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_ALLOCA_H=1"
}


fi
rm -f conftest*

ac_decl="#ifdef __GNUC__
#define alloca __builtin_alloca
#else
#if HAVE_ALLOCA_H
#include <alloca.h>
#else
#ifdef _AIX
 #pragma alloca
#else
char *alloca ();
#endif
#endif
#endif
"
test -n "$silent" || echo "checking for alloca"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
$ac_decl
int main() { return 0; }
int t() { char *p = (char *) alloca(1);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining HAVE_ALLOCA"
echo "#define" HAVE_ALLOCA "1" >> confdefs.h
DEFS="$DEFS -DHAVE_ALLOCA=1"
}


else
  rm -rf conftest*
  ac_alloca_missing=1
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#if defined(CRAY) && ! defined(CRAY2)
winnitude
#else
lossage
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "winnitude" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  test -n "$silent" || echo "checking for _getb67"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub__getb67) || defined (__stub____getb67)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char _getb67(); _getb67();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining" CRAY_STACKSEG_END to be "_getb67"
echo "#define" CRAY_STACKSEG_END "_getb67" >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=_getb67"
}


else
  rm -rf conftest*
  test -n "$silent" || echo "checking for GETB67"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_GETB67) || defined (__stub___GETB67)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char GETB67(); GETB67();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining" CRAY_STACKSEG_END to be "GETB67"
echo "#define" CRAY_STACKSEG_END "GETB67" >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=GETB67"
}


else
  rm -rf conftest*
  test -n "$silent" || echo "checking for getb67"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_getb67) || defined (__stub___getb67)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char getb67(); getb67();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining" CRAY_STACKSEG_END to be "getb67"
echo "#define" CRAY_STACKSEG_END "getb67" >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=getb67"
}


fi
rm -f conftest*

fi
rm -f conftest*

fi
rm -f conftest*


fi
rm -f conftest*


fi
rm -f conftest*

if test -n "$ac_alloca_missing"; then
  # The SVR3 libPW and SVR4 libucb both contain incompatible functions
  # that cause trouble.  Some versions do not even contain alloca or
  # contain a buggy version.  If you still want to use their alloca,
  # use ar to extract alloca.o from them instead of compiling alloca.c.
  ALLOCA=alloca.o
  
{
test -n "$verbose" && \
echo "	defining C_ALLOCA"
echo "#define" C_ALLOCA "1" >> confdefs.h
DEFS="$DEFS -DC_ALLOCA=1"
}


  test -n "$silent" || echo "checking stack direction for C alloca"
  test -n "$silent" || echo "checking whether cross-compiling"
# If we cannot run a trivial program, we must be cross compiling.
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
main(){exit(0);}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  cross_compiling=1
fi
rm -fr conftest*

if test -n "$cross_compiling"
then
  
{
test -n "$verbose" && \
echo "	defining" STACK_DIRECTION to be "0"
echo "#define" STACK_DIRECTION "0" >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=0"
}

else
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
find_stack_direction ()
{
  static char *addr = 0;
  auto char dummy;
  if (addr == 0)
    {
      addr = &dummy;
      return find_stack_direction ();
    }
  else
    return (&dummy > addr) ? 1 : -1;
}
main ()
{
  exit (find_stack_direction() < 0);
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining" STACK_DIRECTION to be "1"
echo "#define" STACK_DIRECTION "1" >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=1"
}


else
  
{
test -n "$verbose" && \
echo "	defining" STACK_DIRECTION to be "-1"
echo "#define" STACK_DIRECTION "-1" >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=-1"
}

fi
fi
rm -fr conftest*
fi

if echo $DEFS | fgrep C_ALLOCA=1 >/dev/null; then
	ALLOCA_O="alloca.o"
else
	ALLOCA_O=""
fi
test -n "$silent" || echo "checking for tv_usec in struct timeval in sys/time.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <sys/time.h>
int main() { return 0; }
int t() { struct timeval t; t.tv_usec; ; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  test -n "$verbose" && echo "	+ found timeval.tv_usec"; 
{
test -n "$verbose" && \
echo "	defining TIMEVAL_HAS_USEC"
echo "#define" TIMEVAL_HAS_USEC "1" >> confdefs.h
DEFS="$DEFS -DTIMEVAL_HAS_USEC=1"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for tv_nsec in struct timeval in sys/time.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <sys/time.h>
int main() { return 0; }
int t() { struct timeval t; t.tv_nsec; ; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  test -n "$verbose" && echo "	- found timeval.tv_nsec"; 
{
test -n "$verbose" && \
echo "	defining TIMEVAL_HAS_NSEC"
echo "#define" TIMEVAL_HAS_NSEC "1" >> confdefs.h
DEFS="$DEFS -DTIMEVAL_HAS_NSEC=1"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for popen"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <stdio.h>

int main() { return 0; }
int t() { popen("file","r"); ; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  test -n "$verbose" && echo "	+ found popen"; 
{
test -n "$verbose" && \
echo "	defining HAVE_POPEN"
echo "#define" HAVE_POPEN "1" >> confdefs.h
DEFS="$DEFS -DHAVE_POPEN=1"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for getrusage"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

extern "C" {
#include <sys/time.h>
#include <sys/resource.h>
#if HAVE_SYS_RUSAGE_H
#  include <sys/rusage.h>
#endif
#if HAVE_UNISTD_H
#  include <unistd.h>
#endif
}
extern "C" int getrusage(int, struct rusage *);
#ifndef RUSAGE_SELF
#  define RUSAGE_SELF 0
#endif

int main() { return 0; }
int t() { 
struct rusage struct_ru;
getrusage(RUSAGE_SELF,&struct_ru);
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  test -n "$verbose" && echo "	+ found getrusage"; 
{
test -n "$verbose" && \
echo "	defining HAVE_RUSAGE"
echo "#define" HAVE_RUSAGE "1" >> confdefs.h
DEFS="$DEFS -DHAVE_RUSAGE=1"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for sysconf"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

extern "C" {
#include <unistd.h>
}

int main() { return 0; }
int t() { 
long maxfiles = sysconf(_SC_OPEN_MAX);
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  test -n "$verbose" && echo "	+ found sysconf"; 
{
test -n "$verbose" && \
echo "	defining HAVE_SYSCONF"
echo "#define" HAVE_SYSCONF "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SYSCONF=1"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for working unsigned char* outputter"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <fstream.h>
#include <stdlib.h>
#include <stdio.h>
int main()
{
	unsigned char* str = "hello";
	ofstream o("dummy");
	o << str << "\n";
	o.close();
	int retval = system("grep hello dummy >/dev/null");
	remove("dummy");
	return retval;
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  test -n "$verbose" && echo "	+ cout << (unsigned char*) seems to be working OK"

else
  test -n "$verbose" && echo "	- cout << (unsigned char*) is broken"; 
{
test -n "$verbose" && \
echo "	defining BROKEN_UCHAR_OUTPUTTER"
echo "#define" BROKEN_UCHAR_OUTPUTTER "1" >> confdefs.h
DEFS="$DEFS -DBROKEN_UCHAR_OUTPUTTER=1"
}

fi
rm -fr conftest*
test -n "$silent" || echo "checking for pointer size (TPtrInt)"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main()
{
    int sz = sizeof(char*);
	if (sizeof(void*) > sz) sz = sizeof(void*);
	return !(sz == sizeof(long int) && sz > sizeof(int));
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining LONG_POINTERS"
echo "#define" LONG_POINTERS "1" >> confdefs.h
DEFS="$DEFS -DLONG_POINTERS=1"
}


fi
rm -fr conftest*
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main()
{
    int sz = sizeof(char*);
	if (sizeof(void*) > sz) sz = sizeof(void*);
	return !(sz == sizeof(long long int));
}
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining LONGLONG_POINTERS"
echo "#define" LONGLONG_POINTERS "1" >> confdefs.h
DEFS="$DEFS -DLONGLONG_POINTERS=1"
}


fi
rm -fr conftest*
if test -z "$hasmatlab"; then
  # Extract the first word of `matlab', so it can be a program name with args.
  set ac_dummy matlab; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      hasmatlab="true"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$hasmatlab" && hasmatlab="false"
test -n "$hasmatlab" && test -n "$verbose" && echo "	setting hasmatlab to $hasmatlab"

MATLABDIR=''
MATLABENG_O=''
MATLABINCLUDE=''
MATLABLIB=''
if test "$hasmatlab" = 'true'; then
	if test -d /usr/local/matlab/extern/include; then
        MATLABDIR='/usr/local/matlab'
        MATLABINCLUDE="${MATLABDIR}/extern/include"
        MATLABLIB="${MATLABDIR}/extern/lib/*/libmat.a"
		MATLABLIB=`echo ${MATLABLIB}`	# expand wildcard
        MATLABENG_O='matlabeng.o'
    fi
fi




READLINELIB=''
BLASLIB=''
LAPACKLIB=''
DLDLIB=''
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lreadline"
ac_have_lib=""
test -n "$silent" || echo "checking for -lreadline"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; READLINELIB='-lreadline'
else
   :; 
fi

ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -ltermcap"
ac_have_lib=""
test -n "$silent" || echo "checking for -ltermcap"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; READLINELIB="$READLINELIB -ltermcap"
else
   :; 
fi

if test "$system" = 'Irix5'; then
	sgimath=false
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lcomplib.sgimath"
ac_have_lib=""
test -n "$silent" || echo "checking for -lcomplib.sgimath"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; sgimath=true
else
   :; echo "configure: warning: system type is Irix5 but libcomplib.sgimath.a not found" >&2
fi

	if test "$sgimath" = 'true'; then
		BLASLIB='-lcomplib.sgimath'
		test -n "$verbose" && echo "	On Irix5 BLAS and LAPACK are in libcomplib.sgimath.a"
	else
		ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lblas"
ac_have_lib=""
test -n "$silent" || echo "checking for -lblas"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; BLASLIB='-lblas'
else
   :; 
fi

		ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -llapack"
ac_have_lib=""
test -n "$silent" || echo "checking for -llapack"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LAPACKLIB='-llapack'
else
   :; 
fi

	fi
    if test ".$isgcc" = '.false'; then
        LIBS="$LIBS -lC -lmalloc"
    fi
elif test "$system" = 'UNICOS'; then
	BLASLIB='-lsci'
	test -n "$verbose" && echo "	On UNICOS BLAS and LAPACK are in SCILIB"
elif test "$system" = 'AIX'; then
	BLASLIB='-lessl'
	test -n "$verbose" && echo "	On AIX BLAS is in ESSLLIB"
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -llapack"
ac_have_lib=""
test -n "$silent" || echo "checking for -llapack"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LAPACKLIB='-llapack'
else
   :; 
fi

elif test "$system" = 'HPUX'; then
	BLASLIB='-lblas'
	test -n "$verbose" && echo "	On HPUX"
	LIBS="$LIBS -lcur_colr"
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -llapack"
ac_have_lib=""
test -n "$silent" || echo "checking for -llapack"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LAPACKLIB='-llapack'
else
   :; 
fi

else
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lblas"
ac_have_lib=""
test -n "$silent" || echo "checking for -lblas"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; BLASLIB='-lblas'
else
   :; 
fi

	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -llapack"
ac_have_lib=""
test -n "$silent" || echo "checking for -llapack"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LAPACKLIB='-llapack'
else
   :; 
fi

fi
FLIBS=''
FFTPACKLIB='fftpack/libfftpack.a'
FFLAGS='-O'
R8FLAG='-r8'
case "$system" in
	Irix5)
		FLIBS='-lF77 -lI77 -lisam -lU77'
		;;
	Solaris2)
		FLIBS='-L/opt/SUNWspro/SC2.0.1 -lM77 -lF77 -ldl'
		;;
	Convex)
		FLIBS='-lF77 -lI77 -lU77 -lmathC2'
		;;
	AIX)
		FLIBS='-lxlf90'
		R8FLAG='-qautodbl=dbl -qextname'
		;;
	HPUX)
		FLIBS='-lU77 -lcl'
		R8FLAG='-R8 +autodblpad'
		LIBS="$LIBS alloca.o"
		echo 'extern "C" void*alloca(int);' >${srcdir}/alloca.h
		test -n "$verbose" && echo "	Using C-alloca. Created alloca.h in source directory"
		;;
	Linux|*)
		FLIBS='-lf2c'
		FFTPACKLIB='fftpack/libCfftpack.a'
		R8FLAG=''
		;;
esac
if test "$external_fftpacklib" = "true"; then
    FFTPACKLIB=''
fi



if test "$system" = 'Linux'; then
	
{
test -n "$verbose" && \
echo "	defining SLOW_FLOATING_POINT_MATH"
echo "#define" SLOW_FLOATING_POINT_MATH "1" >> confdefs.h
DEFS="$DEFS -DSLOW_FLOATING_POINT_MATH=1"
}

fi
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -ldld"
ac_have_lib=""
test -n "$silent" || echo "checking for -ldld"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; DLDLIB='-ldld'
else
   :; 
fi








# Set default prefixes.
if test -n "$prefix"; then
  test -z "$exec_prefix" && exec_prefix='${prefix}' # Let make expand it.
  ac_prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
  ac_prsub="$ac_prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
fi
# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 2 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "config.status generated by autoconf version 1.9"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

trap 'rm -f makeinc; exit 1' 1 2 15
INSTALLATION_PREFIX='$INSTALLATION_PREFIX'
ARCHDEP_INSTALLATION_PREFIX='$ARCHDEP_INSTALLATION_PREFIX'
CC='$CC'
CXX='$CXX'
hascc='$hascc'
hasCC='$hasCC'
CXXCPP='$CXXCPP'
CFLAGS='$CFLAGS'
UNROLL_FLAGS='$UNROLL_FLAGS'
RANLIB='$RANLIB'
INSTALL='$INSTALL'
INSTALL_PROGRAM='$INSTALL_PROGRAM'
INSTALL_DATA='$INSTALL_DATA'
true='$true'
FLEXXX='$FLEXXX'
BISONXX='$BISONXX'
SET_MAKE='$SET_MAKE'
ALLOCA='$ALLOCA'
hasmatlab='$hasmatlab'
MATLABDIR='$MATLABDIR'
MATLABENG_O='$MATLABENG_O'
MATLABINCLUDE='$MATLABINCLUDE'
MATLABLIB='$MATLABLIB'
FFTPACKLIB='$FFTPACKLIB'
FFLAGS='$FFLAGS'
R8FLAG='$R8FLAG'
READLINELIB='$READLINELIB'
BLASLIB='$BLASLIB'
LAPACKLIB='$LAPACKLIB'
DLDLIB='$DLDLIB'
FLIBS='$FLIBS'
ALLOCA_O='$ALLOCA_O'
LIBS='$LIBS'
srcdir='$srcdir'
top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
DEFS='$DEFS'
ac_prsub='$ac_prsub'
ac_vpsub='$ac_vpsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

ac_given_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"makeinc"}
for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file"; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/$ac_dir"
  else
    ac_dir_suffix=
  fi

  # A "../" for each directory in $ac_dir_suffix.
  ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  case "$ac_given_srcdir" in
  .)  srcdir=.; top_srcdir="$ac_dots." ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  comment_str="Generated automatically from `echo $ac_file|sed 's|.*/||'`.in by configure."
  case "$ac_file" in
    *.c | *.h | *.C | *.cc | *.m )  echo "/* $comment_str */" > "$ac_file" ;;
    * )          echo "# $comment_str"     > "$ac_file" ;;
  esac
  sed -e "
$ac_prsub
$ac_vpsub
$extrasub
s%@INSTALLATION_PREFIX@%$INSTALLATION_PREFIX%g
s%@ARCHDEP_INSTALLATION_PREFIX@%$ARCHDEP_INSTALLATION_PREFIX%g
s%@CC@%$CC%g
s%@CXX@%$CXX%g
s%@hascc@%$hascc%g
s%@hasCC@%$hasCC%g
s%@CXXCPP@%$CXXCPP%g
s%@CFLAGS@%$CFLAGS%g
s%@UNROLL_FLAGS@%$UNROLL_FLAGS%g
s%@RANLIB@%$RANLIB%g
s%@INSTALL@%$INSTALL%g
s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@true@%$true%g
s%@FLEXXX@%$FLEXXX%g
s%@BISONXX@%$BISONXX%g
s%@SET_MAKE@%$SET_MAKE%g
s%@ALLOCA@%$ALLOCA%g
s%@hasmatlab@%$hasmatlab%g
s%@MATLABDIR@%$MATLABDIR%g
s%@MATLABENG_O@%$MATLABENG_O%g
s%@MATLABINCLUDE@%$MATLABINCLUDE%g
s%@MATLABLIB@%$MATLABLIB%g
s%@FFTPACKLIB@%$FFTPACKLIB%g
s%@FFLAGS@%$FFLAGS%g
s%@R8FLAG@%$R8FLAG%g
s%@READLINELIB@%$READLINELIB%g
s%@BLASLIB@%$BLASLIB%g
s%@LAPACKLIB@%$LAPACKLIB%g
s%@DLDLIB@%$DLDLIB%g
s%@FLIBS@%$FLIBS%g
s%@ALLOCA_O@%$ALLOCA_O%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
s%@prefix@%$prefix%g
s%@exec_prefix@%$exec_prefix%g
s%@DEFS@%$DEFS%
" $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done


exit 0
EOF
chmod +x config.status
test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} config.status

if test "$system" = "HPUX"; then
	echo 'AR = ar' >>${srcdir}/makeinc
	echo 'F77 = f77' >>${srcdir}/makeinc
	test -n "$verbose" && echo "	Added definition of AR and F77 for HPUX in makeinc"
fi

